package be.iminds.ilabt.jfed.ui.javafx;

import org.controlsfx.glyphfont.GlyphFont;
import org.controlsfx.glyphfont.INamedCharacter;

import java.util.Arrays;

/**
 * User: twalcari
 * Date: 4/6/2016
 * Time: 09:00
 */
public class FlatIcon extends GlyphFont {
    private static String fontName = "Flaticon";

    public static enum Glyph implements INamedCharacter {
        CELLPHONE('\uf100'),
        CHIP('\uf101'),
        COOLINGFAN('\uf102'),
        COOLINGFAN1('\uf103'),
        CPU('\uf104'),
        DVD('\uf105'),
        FOLDINGPHONE('\uf106'),
        GAMECONSOLE('\uf107'),
        GAMECONSOLE1('\uf108'),
        GAMECONSOLE2('\uf109'),
        GAMEPAD('\uf10a'),
        GAMEPAD1('\uf10b'),
        GFXCARD('\uf10c'),
        GRAPHICSCARD('\uf10d'),
        HARDDRIVE('\uf10e'),
        HEADPHONES('\uf10f'),
        IPAD('\uf110'),
        IPHONE('\uf111'),
        IPOD('\uf112'),
        KEYBOARD('\uf113'),
        LAPTOP('\uf114'),
        LAPTOP1('\uf115'),
        MICROCHIP('\uf116'),
        MICROCHIP1('\uf117'),
        MICROCHIP2('\uf118'),
        MICROCHIP3('\uf119'),
        MODEM('\uf11a'),
        MONITOR('\uf11b'),
        MOUSE('\uf11c'),
        PC('\uf11d'),
        PENDRIVE('\uf11e'),
        PHONE('\uf11f'),
        PHONE1('\uf120'),
        PHONE2('\uf121'),
        PHONE3('\uf122'),
        PHONE4('\uf123'),
        PHONE5('\uf124'),
        PRINTER('\uf125'),
        PROJECTOR('\uf126'),
        PSU('\uf127'),
        RAM('\uf128'),
        RAM1('\uf129'),
        SDCARD('\uf12a'),
        SMARTPHONE('\uf12b'),
        SOUNDCARD('\uf12c'),
        SSD('\uf12d'),
        TABLET('\uf12e'),
        WATCH('\uf12f'),
        WEBCAM('\uf130'),
        WOOFERS('\uf131');

        private final char ch;

        /**
         * Creates a named Glyph mapped to the given character
         * @param ch
         */
        Glyph( char ch ) {
            this.ch = ch;
        }

        @Override
        public char getChar() {
            return ch;
        }

    }

    public FlatIcon() {
        this(FlatIcon.class.getResource("FlatIcon.ttf").toExternalForm()); //$NON-NLS-1$
    }

    public FlatIcon(String url){
        super(fontName, 14, url, false);
        registerAll(Arrays.asList(FlatIcon.Glyph.values()));
    }




}
